Installing software-center on Linux-Kali

Tags:
Linux
Software
Hi, I experienced a problem during installing software-center on Linux-kali: root@kali:~# apt-get install software-center Reading package lists... Done Building dependency tree Reading state information... Done Package software-center is not available, but is referred to by another package. This may mean that the package is missing, has been obsoleted, or is only available from another source E: Package 'software-center' has no installation candidate. Please, how do I solve this problem?


Software/Hardware used:
linux
1

Answer Wiki

Thanks. We'll let you know when a new response is added.
Hi,
You need to add the repositories first.
Edit /etc/apt/sources.list and add these two lines
deb http://http.kali.org/ /kali main contrib non-free
deb http://http.kali.org/ /wheezy main contrib non-free
In terminal type apt-get update 
then try apt-get install software-center
It should work.
Thanks
& Regards

Clark
Kent

Discuss This Question: 2  Replies

 
There was an error processing your information. Please try again later.
Thanks. We'll let you know when a new response is added.
Send me notifications when members answer or reply to this question.
  • Brijesh
    Hi,

    Just run:

    sudo apt-get autoremove

    sometimes you may get broken packages so to fix them run above. Sometimes it removes important software. Then install it right back after you notice it missing.

    To fix some of it try

    sudo apt-get install -f

    And try synaptic Will install Synaptic and then you can choose packages there easier than on the command line. It shows what packages are available to install.

    sudo apt-get install synaptic

    Hope this helps.

    14,450 pointsBadges:
    report
  • wassim26
    Add yoroot@Mr-wassim:~# apt-get install software-center
    Reading package lists... Done
    Building dependency tree      
    Reading state information... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:

    The following packages have unmet dependencies:
     libglib2.0-0 : Breaks: python-gi (< 3.7.2) but 3.2.2-2 is to be installed
     software-center : Depends: python-gobject-cairo
                       Recommends: gir1.2-launchpad-integration-3.0 but it is not installable
                       Recommends: sessioninstaller but it is not installable
    W: Duplicate sources.list entry http://security.kali.org/kali-security/ kali/updates/main i386 Packages (/var/lib/apt/lists/security.kali.org_kali-security_dists_kali_updates_main_binary-i386_Packages)
    W: Duplicate sources.list entry http://security.kali.org/kali-security/ kali/updates/contrib i386 Packages (/var/lib/apt/lists/security.kali.org_kali-security_dists_kali_updates_contrib_binary-i386_Packages)
    W: Duplicate sources.list entry http://security.kali.org/kali-security/ kali/updates/non-free i386 Packages (/var/lib/apt/lists/security.kali.org_kali-security_dists_kali_updates_non-free_binary-i386_Packages)
    W: Duplicate sources.list entry http://security.kali.org/kali-security/ kali/updates/main i386 Packages (/var/lib/apt/lists/security.kali.org_kali-security_dists_kali_updates_main_binary-i386_Packages)
    W: Duplicate sources.list entry http://security.kali.org/kali-security/ kali/updates/contrib i386 Packages (/var/lib/apt/lists/security.kali.org_kali-security_dists_kali_updates_contrib_binary-i386_Packages)
    W: Duplicate sources.list entry http://security.kali.org/kali-security/ kali/updates/non-free i386 Packages (/var/lib/apt/lists/security.kali.org_kali-security_dists_kali_updates_non-free_binary-i386_Packages)
    W: Duplicate sources.list entry http://http.kali.org/kali/ kali/main i386 Packages (/var/lib/apt/lists/http.kali.org_kali_dists_kali_main_binary-i386_Packages)
    W: Duplicate sources.list entry http://http.kali.org/kali/ kali/contrib i386 Packages (/var/lib/apt/lists/http.kali.org_kali_dists_kali_contrib_binary-i386_Packages)
    W: Duplicate sources.list entry http://http.kali.org/kali/ kali/non-free i386 Packages (/var/lib/apt/lists/http.kali.org_kali_dists_kali_non-free_binary-i386_Packages)
    W: Duplicate sources.list entry http://http.kali.org/ /wheezy/main i386 Packages (/var/lib/apt/lists/http.kali.org_dists__wheezy_main_binary-i386_Packages)
    W: Duplicate sources.list entry http://http.kali.org/ /wheezy/contrib i386 Packages (/var/lib/apt/lists/http.kali.org_dists__wheezy_contrib_binary-i386_Packages)
    W: Duplicate sources.list entry http://http.kali.org/ /wheezy/non-free i386 Packages (/var/lib/apt/lists/http.kali.org_dists__wheezy_non-free_binary-i386_Packages)
    W: You may want to run apt-get update to correct these problems
    E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.
    ur reply...
    0 pointsBadges:
    report

Forgot Password

No problem! Submit your e-mail address below. We'll send you an e-mail containing your password.

Your password has been sent to:

To follow this tag...

There was an error processing your information. Please try again later.

Thanks! We'll email you when relevant content is added and updated.

Following

Share this item with your network: